package cn.teammodel.model.dto.admin.common;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;
@Data
public class RMember {

        /// <summary>
        /// 账号id
        /// </summary>
        public String id ;
        //学生所在的学校
        public String code ;
        //兼容HiTeach 需要的字段
        public String schoolId ;

        //学生所在的学校
        public String schoolName ;
        /// <summary>
        /// 名称
        /// </summary>
        public String name ;
        /// <summary>
        ///类型 1 tmdid,2 student
        /// </summary>
        public int type ;
        /// <summary>
        /// 头像
        /// </summary>
        public String picture ;

        /// <summary>
        /// 性别 M( male,男) F (female 女)  N(secret 保密) 
        /// </summary>
        public String gender ;
        /// <summary>
        ///座号
        /// </summary>
        public String no ;
        /// <summary>
        /// IRS WebIRS编号。
        /// </summary>
        public String irs ;
        public String tag ;
        /// <summary>
        /// 行政班
        /// </summary>
        public String classId ;
        /// <summary>
        /// 名单分组id
        /// </summary>
        public String groupId ;
        /// <summary>
        /// 名单分组名称
        /// </summary>
        public String groupName ;
        public String nickname ;
        //补充毕业
        //0在校，1毕业 
        public int graduate ;
        //所在名单集合
        public List<String> groupListIds = new ArrayList<String>();
        public int year ;
        public String periodId ;
        /// <summary>
        /// 0 自动的座号和irs,1 手动的irs
        /// </summary>
        public int manual ;

    
}
